package com.ruoyi.quartz.task;

import com.ruoyi.dxp.service.IDatabaseService;
import com.ruoyi.dxp.service.IResourceShareService;
import com.ruoyi.dxp.service.IServiceCacheService;
import com.ruoyi.dxp.service.IUserResourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.ruoyi.common.utils.StringUtils;

/**
 * 定时任务调度测试
 * 
 * @author ruoyi
 */
@Component("ryTask")
public class RyTask
{
    @Autowired
    private IDatabaseService databaseService;

    @Autowired
    private IServiceCacheService serviceCacheService;

    @Autowired
    private IUserResourceService userResourceService;

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        System.out.println("执行无参方法");
    }

    /**
     * 执行redis任务
     */
    public void ryRedis() {
        System.out.println("-------------执行redis任务--------------");
        databaseService.writeToRedis();
        serviceCacheService.writeToRedis();
        userResourceService.writeToRedis();
        userResourceService.writeToSubscribeRedis();
    }

    public void ryDatabaseSync() {
        System.out.println("-------------执行数据库同步任务--------------");
        databaseService.syncAll();
    }
}
